Bug 963889 - Man page for "mkpasswd" inaccurate
Man page for "mkpasswd" inaccurate
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: expect (Show other bugs)
18
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 13:52 EDT by Alan Schmidt
Modified: 2013-08-27 07:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: expect-5.45-11.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 07:07:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.11 KB, patch)
2013-08-13 10:35 EDT, Vitezslav Crhonek
no flags Details | Diff
Proposed patch (1.11 KB, patch)
2013-08-13 10:39 EDT, Vitezslav Crhonek
no flags Details | Diff

  None (edit)
Description Alan Schmidt 2013-05-16 13:52:49 EDT
For "mkpasswd" some command line switches are described inaccurately.

For each of the -C -d and -s switches, the man page says they define the "minimum number" of uppercase letters, digits, and special characters (respectively) that will be in the generated password.

In reality, these switches and their defaults define the EXACT number of these character classes that will appear, with the remaining characters for any specified password length being made of of lowercase characters.
Comment 1 Vitezslav Crhonek 2013-08-13 10:35:22 EDT
Created attachment 786185 [details]
Proposed patch

Patch removes the words "minimum" and "at least" when digits, uppercase alphabetic characters and special characters are mentioned.

It was only true for lower case characters.
Comment 2 Vitezslav Crhonek 2013-08-13 10:39:35 EDT
Created attachment 786188 [details]
Proposed patch

Fixed patch:)
Comment 3 Vitezslav Crhonek 2013-08-13 10:43:34 EDT
Thanks for the bug report.

Proposed patch is above, does it look fine?
Comment 4 Alan Schmidt 2013-08-13 11:00:37 EDT
Comment on attachment 786185 [details]
Proposed patch

+that contains at 3 digits and 5 uppercase characters.

should be:

+that contains 3 digits and 5 uppercase characters.
Comment 5 Alan Schmidt 2013-08-13 11:01:57 EDT
Poop. Forgot period and commented on wrong patch anyway.

Thanks!  Looks good!

Note You need to log in before you can comment on or make changes to this bug.